### Signal

# GSSDP ResourceBrowser::resource-available

#### Declaration

    void
    resource_available (
      GSSDPResourceBrowser* self,
      gchar* usn,
      gpointer locations,
      gpointer user_data
    )

#### Description [src]

The ::resource-available signal is emitted whenever a new resource has become available.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`usn` | `gchar*`
| The USN of the discovered resource.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`locations` | A list of `utf8`
| A `GList` of strings describing the locations of the discovered resource.
| Each element is a NUL terminated UTF-8 string.